Bug 518539 - Review Request: xblas - Extra Precise Basic Linear Algebra Subroutines
Summary: Review Request: xblas - Extra Precise Basic Linear Algebra Subroutines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 19:57 UTC by Tom "spot" Callaway
Modified: 2009-08-25 04:39 UTC (History)
3 users (show)

Fixed In Version: 1.0.248-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-25 04:28:10 UTC
jamatos: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2009-08-20 19:57:52 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/xblas.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/xblas-1.0.248-1.fc12.src.rpm
Description: 
The XBLAS library of routines is part of a reference implementation for
the Dense and Banded Basic Linear Algebra Subroutines, along with their
Extended and Mixed Precision versions, as documented in Chapters 2 and 4
of the new BLAS Standard.

Comment 1 Tom "spot" Callaway 2009-08-20 20:11:17 UTC
Scratch Build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1618494

Comment 2 José Matos 2009-08-20 20:39:17 UTC
Just curious, why the call to autoconf at the end of the prep section?

After a general analysis of the spec it looks like it was taken from a schoolbook. ;-)

Comment 3 Tom "spot" Callaway 2009-08-20 20:43:09 UTC
Because the patch for shared support applies to configure.ac, rather than configure, I need to rerun autoconf. 

As to the schoolbook nature of the spec, that's a good thing, right? :)

Comment 4 José Matos 2009-08-20 20:51:45 UTC
Yes, I noticed that after reading the documentation. Sorry. :-)

Being an assistant professor I can say that the schoolbook nature of the spec is a bonus. :-)

Expect a full review soon.

Comment 5 José Matos 2009-08-20 22:02:14 UTC
Review:

The source package is the same as upstream.

The license is correct (BSD) and appropriate for Fedora. This is even more appropriate in the case since the copyright comes from Berkeley. :-)

The package build in the supported Fedora architectures. (see #2)
Build on F11 and rawhide.

The package follows the packaging guidelines.

The package is _approved_.

PS: One small detail, I noticed that you have placed README.devel in the devel sub-package, after reading it I am not sure how useful the file is. I think that the content is useless for any developer, but I leave to you the final decision.

The README file on the other hand is really helpful and in a sense it belongs more to devel than to the main package. If you think that I am being pedantic in the last argument (README) then I agree with you and you are free to ignore me.

Comment 6 Tom "spot" Callaway 2009-08-21 15:56:35 UTC
New Package CVS Request
=======================
Package Name: xblas
Short Description: Extra Precise Basic Linear Algebra Subroutines
Owners: spot
Branches: F-10 F-11 devel
InitialCC: 

... and it's done. Thanks for the review (I did make that minor change).

Comment 7 Fedora Update System 2009-08-21 18:49:53 UTC
xblas-1.0.248-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xblas-1.0.248-2.fc10

Comment 8 Fedora Update System 2009-08-21 18:49:58 UTC
xblas-1.0.248-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xblas-1.0.248-2.fc11

Comment 9 Fedora Update System 2009-08-25 04:28:06 UTC
xblas-1.0.248-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-08-25 04:39:05 UTC
xblas-1.0.248-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.